#include <stdio.h>
#include "menu.h"
#include "tools.h"

int getMenu(char *menuTitle, char *menuItems[], short numberOfMenuItems){
    u_int8_t input;

    do
    {
        clearScreen();
        puts(*menuTitle);
        for(u_int8_t i = 0; i < numberOfMenuItems; ++i)
        {
           printf("%d. %s/n",(1+i), *menuItems[i]);
        }
        puts("\n");
        puts("Your choice:");
        scanf("%i",input);
        clearBuffer();
    } while ((input > 1) && (input < numberOfMenuItems));

    return input;
}
